# SpaceNLA(Space)

base classes — `bpy_struct`, `Space`

class `bpy.types.``SpaceNLA`(Space)

  NLA editor space data

  `auto_snap`

    Automatic time snapping settings for transformations

    - `NONE` No Auto-Snap.
    - `STEP` Frame Step, Snap to 1.0 frame intervals.
    - `TIME_STEP` Second Step, Snap to 1.0 second intervals.
    - `FRAME` Nearest Frame, Snap to actual frames (nla-action time).
    - `SECOND` Nearest Second, Snap to actual seconds (nla-action time).
    - `MARKER` Nearest Marker, Snap to nearest marker.

    Type: | enum in [‘NONE’, ‘STEP’, ‘TIME_STEP’, ‘FRAME’, ‘SECOND’, ‘MARKER’], default ‘NONE’

  `dopesheet`

    Settings for filtering animation data

    Type: | `DopeSheet`, (readonly)

  `show_frame_indicator`

    Show frame number beside the current frame indicator line

    Type: | boolean, default False

  `show_seconds`

    Show timing in seconds not frames

    Type: | boolean, default False

  `show_strip_curves`

    Show influence F-Curves on strips

    Type: | boolean, default False

  `use_realtime_update`

    When transforming strips, changes to the animation data are flushed to other views

    Type: | boolean, default False

  `draw_handler_add`()

    Undocumented

  `draw_handler_remove`()

    Undocumented

Inherited Properties

`bpy_struct.id_data` `Space.type` | `Space.show_locked_time`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`